PlatformScalaCompile (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.language.scala.tasks

## [Java] Class PlatformScalaCompile

- org.gradle.language.scala.tasks.PlatformScalaCompile

- A platform-aware Scala compile task.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractScalaCompile` | `LOGGER`
    `class SourceTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PlatformScalaCompile ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec>` | `getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)`
    `ScalaPlatform` | `getPlatform()`
    `protected org.gradle.language.scala.internal.toolchain.ScalaToolChainInternal` | `getToolChain()`
    `void` | `setPlatform(ScalaPlatform platform)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractScalaCompile` | `compile, configureIncrementalCompilation, createSpec, filterForClasspath, getCompiler, getOptions, getOrCreateGlobalAnalysisMap, getScalaCompileOptions`
    `class AbstractCompile` | `compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`
    `class SourceTask` | `source, getSource, getIncludes, getExcludes, setSource, include, include, include, include, include, include, include, include, setIncludes, setIncludes, exclude, exclude, exclude, exclude, exclude, exclude, exclude, exclude, setExcludes, setExcludes, conventionMapping, conventionMapping, getConventionMapping, setProperty, toString, compareTo, compareTo, getName, getActions, getState, getState, setName, getPath, getExtensions, getLogger, execute, configure, configure, getDescription, leftShift, isEnabled, property, setEnabled, getOutputs, getOutputs, getShouldRunAfter, getProject, getTaskDependencies, getTaskDependencies, setActions, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, deleteAllActions, getEnabled, getAnt, getLogging, getLogging, hasProperty, getConvention, setDescription, getGroup, setGroup, dependsOnTaskDidWork, getInputs, getTemporaryDir, mustRunAfter, setMustRunAfter, getMustRunAfter, finalizedBy, setFinalizedBy, getFinalizedBy, shouldRunAfter, setShouldRunAfter, getDependsOn, setDependsOn, dependsOn, onlyIf, onlyIf, getStandardOutputCapture, getAsDynamicObject, setProject, prependParallelSafeAction, injectIntoNewInstance, getTaskActions, getOnlyIf, getImpliesSubProjects, setImpliesSubProjects, getExecuter, setExecuter, getTemporaryDirFactory, addValidator, getValidators, appendParallelSafeAction, isHasCustomActions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public PlatformScalaCompile()

  - ### Method Detail

    - #### @Override protected Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)

    - #### public ScalaPlatform getPlatform()

    - #### @javax.inject.Inject protected org.gradle.language.scala.internal.toolchain.ScalaToolChainInternal getToolChain()

    - #### public void setPlatform(ScalaPlatform platform)